summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorEric Anholt <eric@anholt.net>2016-09-25 13:30:19 -0700
committerAdam Jackson <ajax@redhat.com>2016-09-28 12:44:35 -0400
commit022fea767cd29d256fb99159df89cc25d339e787 (patch)
treede4d87f11312fd9aa7325e2f49a29df9a271cac9 /test
parent7fe5b9c02cf90b81532cb6dee3ec75c90c72c27c (diff)
test: Fix parsing of piglit results
The "dmesg-fail" line was matching our "fail" regex, so if you didn't have those we would ignore fails. Reviewed-by: Adam Jackson <ajax@redhat.com> Signed-off-by: Eric Anholt <eric@anholt.net>
Diffstat (limited to 'test')
-rwxr-xr-xtest/scripts/run-piglit.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/test/scripts/run-piglit.sh b/test/scripts/run-piglit.sh
index 11e9c1eb9..c412d7ee7 100755
--- a/test/scripts/run-piglit.sh
+++ b/test/scripts/run-piglit.sh
@@ -55,14 +55,14 @@ cat $SHORT_SUMMARY
# Parse the piglit summary to decide on our exit status.
status=0
# "pass: 0" would mean no tests actually ran.
-if grep "pass:.*0" $SHORT_SUMMARY > /dev/null; then
+if grep "^ *pass: *0$" $SHORT_SUMMARY > /dev/null; then
status=1
fi
# Fails or crashes should be failures from make check's perspective.
-if ! grep "fail:.*0" $SHORT_SUMMARY > /dev/null; then
+if ! grep "^ *fail: *0$" $SHORT_SUMMARY > /dev/null; then
status=1
fi
-if ! grep "crash:.*0" $SHORT_SUMMARY > /dev/null; then
+if ! grep "^ *crash: *0$" $SHORT_SUMMARY > /dev/null; then
status=1
fi